#!/bin/bash

mkittool__popd() {
    #
    # popd from $1, warn and false if it goes wrong
    #
    local path=$1
    test -n "$path" || { warn "usage: mkittool__popd PATH"; return 2; }
    debug "popding from: $path"
    popd >/dev/null && return 0
    warn "could not popd from: $path"
    return 3
}

mkittool__pushd() {
    #
    # pushd to $1, warn and false if it goes wrong
    #
    local path=$1
    test -n "$path" || { warn "usage: mkittool__pushd PATH"; return 2; }
    debug "pushding to: $path"
    pushd "$path" >/dev/null && return 0
    warn "could not pushd to: $path"
    return 3
}

mkittool__remind_head() {
    #
    # Remind user what is the latest commit
    #
    local path=$1
    mkittool__pushd "$path" || die
        "$_MKITTOOL_THINK" "latest commit:"
        "$_MKITTOOL_THINK" " : hash $(git log -1 --format='%h')"
        "$_MKITTOOL_THINK" " : subj $(git log -1 --format='%s')"
        "$_MKITTOOL_THINK" " ' time $(git log -1 --format='%ai')"
    mkittool__popd "$path" || die
}

#
# Which command to think with
#
_MKITTOOL_THINK=${_MKITTOOL_THINK:-think}

#shellfu module-version=0.0.14
